首页 新闻 搜索 专区 学院

使用Webstorm打开刚下载的jquery为什么会有报错

0
悬赏园豆:10 [已解决问题] 解决于 2020-11-04 22:27

如图是3.x版本,打开就有两个报错。如果是1.x版本的话,打开只有一个。
什么原因啊,是因为ide吗?

超级芒果的主页 超级芒果 | 初学一级 | 园豆:137
提问于:2020-11-04 18:40
< >
分享
最佳答案
0

这个是Webstorm自带的校验代码格式,如果你没有改动源码的话,应该不影响功能使用,你可以忽略,或者改一下编辑器把这个报错提示修改为别的级别的。

收获园豆:8
轻描、看花开 | 菜鸟二级 |园豆:244 | 2020-11-04 18:44

确实不影响使用,但是这个可以修改吗,万一我写到了同样的语法他就报错无法编译了吧

超级芒果 | 园豆:137 (初学一级) | 2020-11-04 18:51

@超级芒果: 不会的,JQuery源码这样的源码包,都做了作用域函数包裹的,不会轻易污染你的window下的全局函数变量,尽可放心

轻描、看花开 | 园豆:244 (菜鸟二级) | 2020-11-10 15:25
其他回答(1)
0

忽略吧 不影响使用

收获园豆:2
ycyzharry | 园豆:22493 (高人七级) | 2020-11-04 22:25
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册